Bug 1628040 (CVE-2018-16424) - CVE-2018-16424 opensc: Double free handling responses from smartcards in tools/egk-tool.c:read_file()
Summary: CVE-2018-16424 opensc: Double free handling responses from smartcards in tool...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-16424
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628041 1628042
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 06:18 UTC by Sam Fowler
Modified: 2021-02-16 23:03 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 08:04:15 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-09-12 06:18:15 UTC
A double free when handling responses in read_file in tools/egk-tool.c (aka the eGK card tool) in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-476b3b2a03c4eef331b4b0bfece4b063

Comment 1 Sam Fowler 2018-09-12 06:18:46 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628041]

Comment 3 Doran Moppert 2018-09-18 07:51:23 UTC
The affected file does not exist in opensc-0.16.0, nor do its predecessors (read_file & related functions elsewhere) seem to realloc.


Note You need to log in before you can comment on or make changes to this bug.